WPILIB missing module error

I’m attempting to run my robot.py file, but even though wpilib shows up as downloaded and I can import it, I am unable to import wpilib.command. This is my error message:
ModuleNotFoundError: No module named 'wpilib.command’
I downloaded the most recent available version of wpilib, does anybody know why it might not have the proper modules?
Not really sure what dependencies are also needed to upgrade…

I’ve had similar issues… Would love to know how to solve this hmm

1 Like

Did you install the commands framework? RobotPy 2020 Old Commands framework available

1 Like

I’ve updated the documentation to include a section about installing the command framework.

https://robotpy.readthedocs.io/en/stable/install/commands.html